# List balenaOS releases

## List the supported balenaOS versions for a device type

> \## List balenaOS releases Resource Fields\
> \
> \| Field |\
> \| :--- |\
> \
> \
> \---\
> \
> \`GET /v7/release\`\
> \
> To request a list of the supported balenaOS versions for a particular device type, the \`DEVICE TYPE SLUG\` parameter is required. Even though this query only selects the \`raw\_version\` field, you can additionally specify any of the fields found in the release resource. The Authorization header is optional.\
> \
> \
> \### Usage Variations\
> \
> \--- \
> \#### List the supported balenaOS versions for a private device type\
> \`GET /v7/release?$select=raw\_version&$filter=(is\_final eq true) and (is\_invalidated eq false) and (status eq 'success') and (semver\_major gt 0) and (belongs\_to\_\_application/any(bta:(bta/is\_host eq true) and (bta/is\_for\_\_device\_type/any(dt:dt/slug eq '\<DEVICE TYPE SLUG>'))))&$orderby=semver\_major desc,semver\_minor desc,semver\_patch desc,revision desc\`\
> \
> Same as above, but in order to access private device types, you must provide an authentication token.

```json
{"openapi":"3.0.0","info":{"title":"Balena API Spec","version":"7.0.0"},"servers":[{"url":"https://api.balena-cloud.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/v7/release":{"get":{"tags":["List balenaOS releases"],"summary":"List the supported balenaOS versions for a device type","description":"## List balenaOS releases Resource Fields\n\n| Field |\n| :--- |\n\n\n---\n\n`GET /v7/release`\n\nTo request a list of the supported balenaOS versions for a particular device type, the `DEVICE TYPE SLUG` parameter is required. Even though this query only selects the `raw_version` field, you can additionally specify any of the fields found in the release resource. The Authorization header is optional.\n\n\n### Usage Variations\n\n--- \n#### List the supported balenaOS versions for a private device type\n`GET /v7/release?$select=raw_version&$filter=(is_final eq true) and (is_invalidated eq false) and (status eq 'success') and (semver_major gt 0) and (belongs_to__application/any(bta:(bta/is_host eq true) and (bta/is_for__device_type/any(dt:dt/slug eq '<DEVICE TYPE SLUG>'))))&$orderby=semver_major desc,semver_minor desc,semver_patch desc,revision desc`\n\nSame as above, but in order to access private device types, you must provide an authentication token."}}}}
```
